- libbson 1.13.1 »
- API Reference »
- bson_oid_t

# bson_oid_init()

## Synopsis

    void
    bson_oid_init (bson_oid_t *oid, bson_context_t *context);

## Parameters

- `oid`: A bson_oid_t.
- `context`: An optional bson_context_t or NULL.

## Description

Generates a new bson_oid_t using either `context` or the default bson_context_t.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.